<?php

/**
 * @file
 *   Watchbug class.
 */

class Watchbug {

  var $created;
  var $name = '';
  var $data;

  /**
   * Construct a watchbug object.
   */
  public function __construct($value = NULL, $name = '') {
    $this->created = time();
    $this->data = $value;
    $this->name = $name;
  }

  public function save() {
    return drupal_write_record('watchbug_log', $this);
  }

  public function load($id) {
    $result = db_select('watchbug_log', 'w')
      ->fields('w', array('id', 'created', 'data', 'name'))
      ->condition('id', $id)
      ->range(0, 1)
      ->execute()
      ->fetchAssoc();

    if ($result) {
      $this->created = $result['created'];
      // We have to unserialize, as fetchAssoc seems not to do that automatically.
      $this->data = unserialize($result['data']);
      $this->name = $result['name'];
      $this->id = $result['id'];
      return TRUE;
    }
    return FALSE;
  }
}